Class | Prawn::Images::JPG
In: | lib/prawn/images/jpg.rb
Parent: | Object

A convenience class that wraps the logic for extracting the parts of a PNG image that we need to embed them in a PDF

### Methods

new

### Constants

JPEG_SOF_BLOCKS | = | %W(\xc0 \xc1 \xc2 \xc3 \xc5 \xc6 \xc7 \xc9 \xca \xcb \xcd \xce \xcf)
JPEG_APP_BLOCKS | = | %W(\xe0 \xe1 \xe2 \xe3 \xe4 \xe5 \xe6 \xe7 \xe8 \xe9 \xea \xeb \xec \xed \xee \xef)

### Attributes

bits | [R] |
channels | [R] |
height | [R] |
scaled_height | [RW] |
scaled_width | [RW] |
width | [R] |

### Public Class methods

new(data)

Process a new JPG image

`:data`: | A string containing a full PNG file

[Validate]